"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.squeeze = exports.default = exports.changeContentType = void 0;

var _react = _interopRequireDefault(require("react"));

var _axios = _interopRequireDefault(require("axios"));

var _lodash = require("lodash");

var _fp = require("lodash/fp");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const squeeze = (0, _fp.compose)(xs => (0, _lodash.join)(xs, ''), (...xs) => (0, _lodash.compact)(xs));
exports.squeeze = squeeze;

const changeContentType = config => {
  if (config.data instanceof FormData) // eslint-disable-next-line
    config.headers['Content-Type'] = 'multipart/form-data';
  return config;
};

exports.changeContentType = changeContentType;

const useRest = ({
  url,
  redirectOnSearch,
  run,
  runOnInit = false,
  history = {},
  location = {}
}) => {
  const search = (0, _lodash.get)(location, 'search', '');

  _react.default.useEffect(() => {
    const req = _axios.default.interceptors.request.use(changeContentType);

    if (runOnInit && !redirectOnSearch && (0, _lodash.isFunction)(run)) run(search);else if (redirectOnSearch && search) (0, _lodash.invoke)(history, 'push', squeeze(redirectOnSearch, search));
    return () => {
      _axios.default.interceptors.request.eject(req);
    };
  }, [search, url]);
};

var _default = useRest;
exports.default = _default;